<?php

declare(strict_types=1);

namespace Drupal\symfony_messenger;

use Symfony\Component\Messenger\Envelope;
use Symfony\Component\Messenger\Stamp\HandledStamp;

/**
 *
 */
trait ResponseTrait {

  /**
   * @param \Symfony\Component\Messenger\Envelope $envelope
   *
   * @return mixed
   */
  public function getHandlerResult(Envelope $envelope): mixed {
    $stamp = $envelope->last(HandledStamp::class);
    assert($stamp instanceof HandledStamp);

    return $stamp->getResult();
  }

}
